org.apache.sysds.runtime.instructions.spark

## Class ParameterizedBuiltinSPInstruction.RDDMapGroupedAggFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDMapGroupedAggFunction

- All Implemented Interfaces:
    Serializable, org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>
  Enclosing class:
    ParameterizedBuiltinSPInstruction

      public static class ParameterizedBuiltinSPInstruction.RDDMapGroupedAggFunction
      extends Object
      implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDDMapGroupedAggFunction(PartitionedBroadcast<MatrixBlock> pbm, Operator op, int ngroups, int blen)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>` | `call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDDMapGroupedAggFunction

          public RDDMapGroupedAggFunction(PartitionedBroadcast<MatrixBlock> pbm,
                                          Operator op,
                                          int ngroups,
                                          int blen)

  - ### Method Detail

    - #### call

          public Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>> call(scala.Tuple2<MatrixIndexes,MatrixBlock> arg0)
                                                                 throws Exception

      Specified by:
        `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>`
      Throws:
        `Exception`

Copyright © 2020 The Apache Software Foundation. All rights reserved.